# Generated from rambler-4.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rambler

Name: rubygem-%{gem_name}
Version: 4.0.3
Release: 1%{?dist}
Summary: "Dynamic routing for UnRESTful Rails controllers"
License: MIT
URL: http://github.com/mcasimir/rambler
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.8
# BuildRequires: rubygem(jeweler) < 1.9
BuildArch: noarch

%description
Rambler provides a Sinatra-like DSL that makes easy to write and manage
non-RESTful controllers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rambler.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 4.0.3-1
- Initial package
